%define name t1lib
%define version 1.0.1
%define release 1mdk

Summary: Type 1 font rasterizer
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/t1lib/t1lib.html
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib-%{version}.tar.bz2
Group: System/Libraries
Copyright: LGPL
Prefix: /usr
BuildRoot: /var/tmp/%{name}-buildroot
BuildPreReq: XFree86-devel, tetex, tetex-dvips, tetex-latex

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.

%package devel
Summary: Type 1 font rasterizer
Group: Development/C
Requires: t1lib

%description devel
Static libraries and header files required for compiling packages
needing the t1lib.

%prep
%setup -q -n T1-%{version}

%build
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{prefix}
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/{bin,lib,include,doc}
make install prefix=$RPM_BUILD_ROOT%{prefix}
rm -rf $RPM_BUILD_ROOT/%{prefix}/share/t1lib/doc
strip $RPM_BUILD_ROOT/%{prefix}/bin/*
cd doc
dvips -P www t1lib_doc
gzip -9f t1lib_doc.ps

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{prefix}/share/t1lib
%config %{prefix}/share/t1lib/t1lib.config
%doc Changes LGPL README.t1python README.t1lib-1.0.1
%attr(755,root,root) %{prefix}/bin/*
%attr(755,root,root) %{prefix}/lib/libt1*.so.*

%files devel
%defattr(-,root,root)
%doc doc/t1lib_doc.ps.gz
%{prefix}/include/*
%{prefix}/lib/*.a
%{prefix}/lib/*.la
%{prefix}/lib/*.so

%changelog
* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-1mdk
- updated to version 1.0.1.
- moved .so file to devel package.
- exchanged package group between main and -devel packages.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-3mdk
- fix group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force.

* Sat Oct 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.9.2.

* Thu Aug 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added PostScript documentation.
- split into main and devel package.

* Sun Aug 1 1999 Richard D. Jackson <richardj@1gig.net>
- first release of t1lib-0.9.1
